# Class: tag<T\>

Represents a settings tag that can be accessed at any time by a script.

## Type parameters

Name |
:------ |
`T` |

## Table of contents

### Constructors

- [constructor](tag.md#constructor)

### Methods

- [get](tag.md#get)

## Constructors

### constructor

\+ **new tag**<T\>(): [*tag*](tag.md)<T\>

#### Type parameters:

Name |
:------ |
`T` |

**Returns:** [*tag*](tag.md)<T\>

## Methods

### get

▸ **get**(): T

Returns the current value of this tag in the settings panel.

**Returns:** T
